---
layout: blog
title: 📚 My Favorite Reads of 2021
description: I've been using 2021 to read some more again. As it turns out, there are quite a few really good books out there. Here are some of my favorites I read in 2021.
tags: [Reading]
mature: true
discuss: https://twitter.com/Ellpeck/status/1467156754194653191
---

2021 has been a rough year. For all of us. I decided to use it to do some more reading again. This is a list of some of my favorite books I read this year. As you'll be able to tell pretty quickly, my main interest is very gay romance books. *What a surprise.*

I compiled this list by going through my [StoryGraph](https://app.thestorygraph.com/profile/ellpeck) 5⭐ reviews and picking the ones that I thought it would be most interesting to talk about. There won't be many, if any, spoilers, but I'll definitely be summarizing the plot of these books in this post and putting a few funny quotes. These also aren't in any particular order, either.

# 🪲 Boyfriend Material, by Alexis Hall
[Boyfriend Material](https://app.thestorygraph.com/books/4ecc34c0-04e1-420f-a303-2a900063397e) was the first book written by Alexis Hall that I had the pleasure of reading. And I found out pretty quickly that he is an absolutely *fantastic* author. His writing is incredibly funny, but also deeply emotional and touching in certain places. It's an amazing mix.

Boyfriend Material is about two guys who have absolutely no business falling in love... falling in love. Luc works at a charity for some sort of beetle that has (surprisingly) little significance in the story, and Oliver is some sort of fancy lawyer-type person. Luc's friends are incredibly funny (not just their personalities, but also the way they're presented), and the way that Luc and Oliver interact is delightfully embarrassing, but also incredibly cute.

There's also two characters called James Royce-Royce and James Royce-Royce. I promise I'm not making that up.

> I met James Royce and James Royce (now James Royce-Royce and James Royce-Royce) at a university LGBTQ+ event. In some ways, it’s strange the two of them work so well together because their name is pretty much the only thing they’ve ever had in common.

The book is a great first step in discovering the amazing, witty and hilarious writing of Alexis Hall. There's at least three of his other books that I'd love to talk about here. I promise I won't. But actually, I will. Two more of his books are coming up.

# 🚇 One Last Stop, by Casey McQuiston
[One Last Stop](https://app.thestorygraph.com/books/28386517-30cc-4ce4-bb90-9336c370a9dd) falls into a genre that I usually can't quite get myself to enjoy: Somewhat far-fetched science fiction. I'd previously read one of Casey McQuiston's books, namely [Red, White and Royal Blue](https://app.thestorygraph.com/books/d9b32ad2-41d2-4663-a19c-f65ffc7b0091) and absolutely adored it, and so I thought it was a good opportunity to discover some more of their writing.

One Last Stop is about a girl, whom I will refer to exclusively as Coffee Girl, who moves to a big city and immediately falls in love with a girl she meets on the train, whom I will refer to as Subway Girl. There's a bit of a problem, though: Subway Girl is *not from this time*. Spooky. She's actually stuck in the train due to some sort of time... problem that I shan't go into because, to me, it is very far from the most interesting part of the book. 

What I enjoy most is the way that the main character struggles with this issue, and the way her emotions are depicted, not only in relation to Subway Girl, but also in relation to her hilarious queer friends, her chaotic and possibly not-very-good mother, and the ever-present dread of having to go to University instead of hanging out with the girl on the train for all eternity.

> “I swear to God, if a ghost kills me, I’ll haunt the shower,” Wes says. “You guys will never have hot water again.” “We don’t have hot water now,” August points out. “Fine, I’ll haunt the toilet.” “Why do you want to haunt a bathroom, man?” Isaiah asks. “It’s where people are most vulnerable,” Wes says, like it’s obvious. Isaiah frowns thoughtfully and nods.

Please read this book, *especially* if you enjoy the sci-fi aspect more than me. Which I'm sure you do, given I ignored it as best I could.

# 🕍 Jews Don't Count, by David Baddiel
[Jews Don't Count](https://app.thestorygraph.com/books/e13bcb3b-a0ea-474e-8259-e55d1b0fe4ef) is the only non-fiction book on this list, because it turns out that I enjoy fiction far more, given it's usually a lot less depressing.

Now, I'm not jewish. I feel the need to point this out right off the bat because I'm not a big fan of talking about political problems that I don't have any personal experience with. That being said, I *am* from Germany, and the troubles surrounding antisemitism have been absolutely drilled into our heads as schoolchildren. Even moreso did it make me feel very uncomfortable about my own observation skills, as well as my own (lack of) political interest in this topic, that this book proves that antisemitism goes mostly ignored when it comes to debate around racism, religious freedom and cultural identity.

If you want to educate yourself on political topics that you don't have much personal experience with (as you should!), Jews Don't Count is a great read. It's aimed at leftists like me and probably you, and it aims to shine a light on the way that antisemitism is treated in the Western world in the current times. As it turns out: It's treated very poorly. The book, however, treats the topic it's about with respect, brings up a lot of current day examples to illustrate the issues, and is only about 150 pages long, making it deliver a very quick, but also very powerful, message.

# 🎂 Rosaline Palmer Takes the Cake, by Alexis Hall
I've talked about Alexis Hall before. In fact, it was this very blog post. Just... a few minutes ago, actually. But here I am, yet again, talking about his absolutely brilliant writing.

[The book](https://app.thestorygraph.com/books/bbac9ac1-8d25-4413-8cbd-acb82e79cb67), whose title is far too long, is about Rosaline Palmer, a bisexual single mother who makes the terrible (but great) decision of joining what is essentially a not-so-trademarked version of the British Bake-Off, only with exactly the same amount of chaos and hilarity. When that isn't currently the main thing messing up her life, it's also about her relationship with a very, uh, *lovely* man, the relationship with her daughter, and the relationship with her excellent and sexy friend Anvita (her words, not mine). 

Here's a lot of quotes, because *Jesus Christ, this book is funny*. But also very real. I'm not quoting the real parts, because they're not as funny. But it gets very emotional, and very "there's a lot of problems with the way bisexuality is perceived by straight people", and very "life is hard sometimes". But this is just some funny parts. Don't wanna bring you down.

> Grace Forsythe tried to give her a reassuring look from the opposite side of a cake that was rapidly turning into a landslide. “It’s fine. I’ll just stand here holding it for the rest of my life. You can tell the judges I’m an especially elaborate fondant decoration. Which, now I think about it, is what my ex-girlfriend used to call me.”

> To her horror, she was actually crying. And the next thing she knew, Grace Forsythe was gently removing the spoon from her hands. “Fuck shit piss wank bollocks drink Coca-Cola buy Smeg ovens legalise cannabis abolish the monarchy. Oh sorry, did I ruin the segment? What a shame. Maybe go film someone else for a bit.” The producer and camera operator dutifully departed. Rosaline drew in a shaky breath and wiped her eyes. “God, thank you.”

Hi Alexis, if you're somehow reading this: I am *begging you* to make a second book that is just about Grace Forsythe and her life. Please. I'll do anything.

# 🏨 Act Your Age, Eve Brown, by Talia Hibbert
Talia Hibbert is also one of my favorite authors. She writes brilliantly about diverse people, be that sexuality, race, personality or illnesses. Out of the three Brown Sisters books, [Act Your Age, Eve Brown](https://app.thestorygraph.com/books/8a97c89d-1436-4563-bc1f-e44836a750b9) is by far my favorite.

Act Your Age, Eve Brown is about Eve Brown, who stumbles into a... hotel-slash-inn ran by a particularly charming, but also (to her) extremely irritating, young man named Jacob. As it turns out, Jacob doesn't quite like Eve either... *at first*. If you know what I mean.

The book is written from both perspectives on a per-scene and per-chapter basis, and it is a fantastic read. The relationship between the two main characters is hilarious, and with Eve actually *getting a job* from the very guy whom she *ran over* with her car (yes, really), it is quite the rollercoaster, to say the least.

Also, the writing is hilarious. Just look.

> Jacob Wayne was never screwed. Well, not like that—obviously he was sometimes screwed in other, better ways. Although not as often as he’d like, but—you know—ah, fuck it, never mind.

> There was that voice again, strange and yet familiar. His mind was hot and sticky like fudge. Yum, fudge. Was this a guest, maybe? A yummy, fudgy guest? Fuck. No lying around in the street in front of guests. It was inappropriate and irresponsible and very bad business.

Yum, fudge.

# 🔎 Murder Most Actual, by Alexis Hall
[Murder Most Actual](https://app.thestorygraph.com/books/3f146f4d-136e-4c75-9cd7-4bdd50aa25b3) is the last of these books I read. It's by Alexis Hall, whom you may have heard of from the last seventeen thousand times I talked about him. He's brilliant, blah blah blah, you've heard this already, but what you haven't heard yet is the fact that I downloaded an e-book from a site I'd never used before, made an account and everything, and then painstakingly shoved it onto my Kindle, so I could read it. As it turns out, it was worth it. Very. In fact, this is probably his best book yet. Maybe. I'm not sure.

Murder Most Actual is about murder, but in a most actual way. Yes. It follows a couple of lesbians (as in "a lesbian couple", not, like, 3 stray lesbians), because everyone in Alexis Hall's books is gay (which is not criticism, it's exactly the way I want it to be), as they arrive at a hotel that is hosting a fun murder mystery dinner. The only problem is that it's not so much a murder mystery dinner as *multiple murders*, *multiple mysteries* and an ever-growing shortness of dinner. Over the course of the book, the relationship between the two main characters redevelops into something absolutely adorable, and they also solve the murders. Somewhat. With the help of a particularly disgruntled police guy, who I think should also get his own spin-off eventually.

It's also, and I know I'm starting to sound like I'm repeating myself, *incredibly funny*. Getting these quotes onto my computer was an absolute nightmare, by the way, becasue the notes and highlighted sections from my Kindle don't sync with my computer because it's not a... proper Kindle... Amazon... book. Thing.

> Liza was suddenly aware of an absence at her side as Hanna stepped forward to join the free-for-all. “Just a wacky, out-there suggestion somebody might want to jump on. Could we, maybe, call the police?”

> Now Sir Richard was looking genuinely crestfallen. “You know, between the two of you, you’re almost taking all the fun out of this.” “Out of the dead man?” Hanna clarified.

> Neither the professor nor the killer had been courteous enough to wear shoes that were notably large or small, or characterised with a distinctive tread, or perhaps conveniently embossed with the name of a manufacturer who only ever made three pairs of shoes a year for a very select list of clients.

Also, I love Hanna. Just wanted to say that. *Also*, each chapter has a fun Clue(do)-style title with a person, and an object, and a location. It's great. I love it.

# So Yea,
I think the main thing we learn from this list is that I love romantic fiction, and I love Alexis Hall. I'm sorry, it's just all so good.

Anyway, I hope this post was interesting to at least a small subset of you. I know that this isn't what I regularly talk about, and this post contains a surprising lack of programming-related things (there you go, now it contains programming-related things, sort of), but reading is also something I really enjoy doing. Although I do have to admit that I'm not very good at doing it consistently. 

Either way, thanks so much for reading, and if you're Alexis Hall, please write more books. No pressure, though.
